Help needed installing easy_install and lxml2

Stefan Behnel stefan_ml at behnel.de
Thu Aug 16 09:01:33 CEST 2012


Ian, 15.08.2012 21:39:
> On a reasonably fresh (3 day old) install of 64 bit windows 7, I have
> installed the 64 bit Python 2.7.3 from http://www.python.org/download/
> 
> Then I installed  the 64 bit version of easy_install using
> http://pypi.python.org/pypi/setuptools
> 
> And then install lxml 2.3.5, for which I use the instructions at
> http://lxml.de/installation.html#installation
> 
> This ends with:
> Processing lxml-2.3.5.tgz
> Running lxml-2.3.5\setup.py -q bdist_egg --dist-dir
> c:\users\ian\appdata\local\temp\easy_install-9__rq7\lxml-2.3.5\egg-dist-tmp-uj_v_2
> 
> Building lxml version 2.3.5.
> Building without Cython.
> ERROR: 'xslt-config' is not recognized as an internal or external command,
> operable program or batch file.
> 
> ** make sure the development packages of libxml2 and libxslt are installed **
> 
> Using build configuration of libxslt
> error: Setup script exited with error: Unable to find vcvarsall.bat
> 
> C:\Users\ian>
> 
> Now what? I thought I was installing the binary package do I would not need
> any development versions.
> 
> What do these errors mean, and how can I overcome them?

http://lxml.de/FAQ.html#where-are-the-binary-builds

Stefan




More information about the Python-list mailing list